Skip to navigation

Update user profile information

View as Markdown

Updates the user’s detail information, profile information, privacy settings, and personal information in the user ID card.

You can also change a user’s name by changing the information in the userDetails property. When changing a user’s name, you can either change the information in the userName property OR change the information in firstName, middleName, lastName, suffixName, and title properties. Changes to firstName, middleName, lastName, suffixName, and title properties take precedence over changes to the userName property.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Request

This endpoint expects an object: userProfile

addressobjectOptional
Contains address information.
authenticationMethodslist of objectsOptional
Indicates the authentication methods that the user uses. These properties cannot be modified by the PUT operation.
companyNamestringOptional
The name of the user's Company.
displayOrganizationInfostringOptional

When true, the user’s company and title information display on the ID card.

displayPersonalInfostringOptional

When true, the user’s address and phone number display on the ID card.

displayProfilestringOptional

When true, the user’s ID card can be viewed from signed documents and envelope history.

displayUsageHistorystringOptional

When true, the user’s usage information displays on the ID card.

profileImageUristringOptional
The URL for retrieving the user's profile image.
titlestringOptional
The title of the user.
usageHistoryobjectOptional

A complex element consisting of:

  • lastSentDateTime - the date and time the user last sent an envelope.
  • lastSignedDateTime - the date and time the user last signed an envelope.
  • sentCount - the number of envelopes the user has sent.
  • signedCount - the number of envelopes the user has signed.
userDetailsobjectOptional
User information.
userProfileLastModifiedDatestringOptional
The date and time that the user's profile was last modified.

Response

Successful response.

Errors

400
Bad Request Error